<?php

 /**
 * @package ODude DIR
 * @author ODude.com
 * @copyright (C) 2014 ODude Network. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );

class Tabledir_fields extends JTable
{
	var $id 		= null;
	var $title 		= null;	
	var $description = null;	
	var $show_title           = 1;
	var $show_description     = 1;
	var $published 		= 1;	
	var $subcat = null;	
	var $alias = null;	
	var $front = 1;	
	var $html = null;	
	var $template = 1;	
	var $perrow = 1;	
	var $perpage = 20;	
	
	
	/**
	* @param database A database 
        connector object */
	function __construct(&$db)
	{
		parent::__construct( '#__odudedir_fields', 'id', $db );
	}	
	
}

?>