<?php

 /**
 * @package ODude DIR
 * @author ODude.com
 * @copyright (C) 2014 ODude Network. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.view');

 require_once ( JPATH_SITE .DS.'components'.DS.'com_odudedir'.DS.'include'.DS.'lib.php' );
class odudedirViewCategories
{
	function setCategoriesToolbar()
	{
		JToolBarHelper::title( JText::_( 'Category  Manager' ), 'generic.png' );
		JToolBarHelper::addNew();
		JToolBarHelper::editList();
		JToolBarHelper::publishList('publish');
		JToolBarHelper::unpublishList();		
		JToolBarHelper::deleteList();
		JToolBarHelper::preferences('com_odudedir');
		
		
		
	}

	public static function categories( $rows, $pageNav, $lists )
	{
		$odudedirViewCategories = new odudedirViewCategories();
		$odudedirViewCategories->setCategoriesToolbar();
		//odudedirViewCategories::setCategoriesToolbar();
		JHTML::_('behavior.tooltip');
		
		JHTML::_('behavior.formvalidation');
        //JHtml::_('formbehavior.chosen', 'select');
		?>
		<form action="index.php?option=com_odudedir" method="post" name="adminForm" id="adminForm">
    <table width="100%">

        <tr>

            <td align="left" width="100%">
                <input type="text" name="search_cat" id="search_cat" value="<?php echo $lists['search_cat'];?>" class="text_area" placeholder="Search" style="margin:0px" />
		
				<button class="btn tip hasTooltip" type="submit" data-original-title="Search"><i class="icon-search"></i></button>
				<button class="btn tip hasTooltip" type="button" onclick="document.getElementById('search_cat').value='';this.form.submit();" data-original-title="Clear"><i class="icon-remove"></i></button>
				
				
				
				<div class="btn-group pull-right hidden-phone">
					<label for="limit" class="element-invisible"><?php echo JText::_('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC');?></label>
					<?php echo $pageNav->getLimitBox(); ?>
				</div>


            </td>

        </tr>

    </table>      
	<?php	
	function published( &$row, $i, $task, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='' ){
        $img     = $row->published ? $imgY : $imgX;
        $task     = $row->published ? 'unpublish': 'publish';
        $alt     = $row->published ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
        $action = $row->published ? JText::_( 'Unpublish Item' ) : JText::_( 'Publish item' );
 
        $href = '
        <a href="javascript:void(0);" onclick="return listItemTask(\'cb'. $i .'\',\''. $prefix.$task .'\')" title="'. $action .'">
        <img src="templates/hathor/images/admin/'. $img .'" border="0" alt="'. $alt .'" /></a>'
        ;
 
        return $href;
    
}   
    ?>
        
    <table class="table table-striped">
    <thead>
    	<tr>
        	<th width="20">
            <input type="checkbox" name="toggle"
 value="" onclick="Joomla.checkAll(this)">
            </th>
            <th width="50" class="title">
<?php echo JHTML::_('grid.sort',   'ID', 'id', @$lists['order_Dir'], @$lists['order'] ); ?></td>
            <th>
			<?php echo JHTML::_('grid.sort',   
'Category', 'title', @$lists['order_Dir'], @$lists['order'] ); ?></th>
 <th><?php echo JHTML::_('grid.sort','Sub Category ID', 'subcat', @$lists['order_Dir'], @$lists['order'] ); ?></th>
<th><?php echo JHTML::_('grid.sort',   'Layout', 'template', @$lists['order_Dir'], @$lists['order'] ); ?></th>
<th><?php echo JHTML::_('grid.sort', 'Alias', 'alias', @$lists['order_Dir'], @$lists['order'] ); ?></th>
<th nowrap="nowrap" width="8%"><?php echo JHTML::_('grid.sort', 'Order', 'ordering', @$lists['order_Dir'], @$lists['order']);?>&nbsp;
			<?php //echo JHTML::_('grid.order', $rows); //its showing error Missing argument 1 for odudedirControllerCategories::saveorder() ?></th>
            <th width="50" nowrap="nowrap">
			<?php echo JHTML::_('grid.sort',   'Published', 'published',@$lists['order_Dir'], @$lists['order'] ); ?></th>
        </tr>
    </thead>
	<tfoot>
		<tr>
			<td colspan="11">
			 <?php echo $pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
                
      <?php
	
    $k = 0;
	for($i=0, $n=count($rows); $i < $n ; $i++)
	{
$row = &$rows[$i];
$checked 	= JHTML::_('grid.id', $i, $row->id);
$published 	= published($row, $i, 'category'); 
// prepare link for id column
$link = JRoute::_( 'index.php?option=com_odudedir&c=categories&task=edit&cid[]='. $row->id );
?>
<tr class="<?php echo "row$k"; ?>">
<td><?php echo $checked ?></td>
<td><a href="<?php echo $link; ?>">
    <?php echo $row->id ?></a></td>
<td><a href="<?php echo $link; ?>"><?php echo $row->cattitle ?></a></td>
<td><a href="<?php echo $link; ?>"><?php echo $row->subcat ?></a></td>    
<td><a href="#"><?php echo $row->template ?></a></td> 
<td><a href="#"><?php echo $row->alias ?></a></td>   
<td class="order">
<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
</td>             
<td><?php echo $published ?></td>            
</tr>
        <?php
$k = 1 - $k;
	}
	
	
	?>
    </table>
    <input type="hidden" name="c" value="categories" />
    <input type="hidden" name="option" value="com_odudedir">
    <input type="hidden" name="task" value="">    
    <input type="hidden" name="boxchecked" value="0"> 
	<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
	    <input type="hidden" name="filter_order_Dir" value="<?php  echo $lists['order_Dir']; ?>" />    
    </form>
<hr>
	<?php
function get_children($parent, $level = 1)
 {
 $link = JRoute::_( 'index.php?option=com_odudedir&c=categories&task=edit&cid[]=');
		$db = JFactory::getDBO();
         $query = "select * from #__odudedir_category where subcat= ".(int)$parent;
			$db->setQuery($query);
			$rows = $db -> loadObjectList();
			echo '<ul>';
			for( $i=0; $i<count($rows); $i++ )
		  {
		  $row = $rows[$i];
		  echo '<li><a href="'.$link.''.$row->id.'">'.$row->title.'</a></li>';
		 get_children($row->id, $level+1);
		  }
		  echo '</ul>';
	
 

}


$link = JRoute::_( 'index.php?option=com_odudedir&c=categories&task=edit&cid[]=');
$db = JFactory::getDBO();
         $query = "select * from #__odudedir_category where subcat='0'";
			$db->setQuery($query);
			$rows = $db -> loadObjectList();
			echo '<ul>';
			for( $i=0; $i<count($rows); $i++ )
		  {
		  $row = $rows[$i];
		   echo '<li><a href="'.$link.''.$row->id.'">'.$row->title.'</a></li>';
		 get_children($row->id);
		  }
		  echo '</ul>';

?>
	
	
	
	
	
    <?php
	}
	
	
	
	
	function setCategoryToolbar()
	{
		$task = JRequest::getVar( 'task', '', 'method', 'string');

		JToolBarHelper::title( $task == 'add' ? JText::_( 'Category' ) . ': <small><small>[ '. JText::_( 'New' ) .' ]</small></small>' : JText::_( 'Category' ) . ': <small><small>[ '. JText::_( 'Edit' ) .' ]</small></small>', 'generic.png' );
		JToolBarHelper::save( 'save' );
		JToolBarHelper::apply('apply');
		JToolBarHelper::cancel( 'cancel' );
	}

	public static function category( $row, $lists )
	{
		$odudedirViewCategories = new odudedirViewCategories();
		$odudedirViewCategories->setCategoryToolbar();
		//odudedirViewCategories::setCategoryToolbar();
		JRequest::setVar( 'hidemainmenu', 1 );
        $editor	= JFactory::getEditor();
		JHTML::_('behavior.formvalidation');
		JHTML::_('behavior.tooltip');
       // JHtml::_('formbehavior.chosen', 'select');
		?>
        
<script language="javascript" type="text/javascript">
<!--
Joomla.submitbutton = function submitbutton(pressbutton) 
{
	var form = document.adminForm;
	if (pressbutton == 'cancel' || document.formvalidator.isValid(document.id('adminForm'))) 
	{
	submitform( pressbutton );
	return;
	}
	else
	{
	var msg = new Array();
            msg.push('Invalid input, please verify again!');
            
			alert (msg.join('\n'));

	}
			
			
//submitform( pressbutton );




}
window.addEvent('domready', function(){
   document.formvalidator.setHandler('special', function(value) {
      regex=/^([a-zA-Z0-9_]+)$/;
      return regex.test(value);
   });
});
//-->
</script>        
  <style>
label{
display: inline-block !important;
}

</style>      
<form action="index.php" method="post" name="adminForm" class="form-validate" id="adminForm">
<table class="admintable" >
         <tr>
                <td width=150>
                 <span class="hasTip" title="Under Category::Primary means to display it as front."><?php echo JText::_( 'Under Category' ); ?></span>*:
                </td>
                <td>
				      
		  
				 <select name="subcat" class="inputbox" size="1">
        <option   value="0">Primary</option>
			 
<?php

function get_children($parent, $level = 1,$selected )
 {
 $pusher = "-";
		$db = JFactory::getDBO();
         $query = "select * from #__odudedir_category where subcat= ".(int)$parent." order by ordering";
			$db->setQuery($query);
			$rows = $db -> loadObjectList();
			echo '';
			for( $i=0; $i<count($rows); $i++ )
		  {
		
		  $child = $rows[$i];
		  
		  if ($selected==$child->id)
		  $sel="selected";
		  else
		  $sel="";
		  
		  $pushing=str_repeat($pusher,$level*2);
		  echo "<option   value=".$child->id." ".$sel. " > ".$pushing." ".$child->title."</options>";
		 get_children($child->id, $level+1,$selected);
		  }
		  echo '';
	
 

}



$db = JFactory::getDBO();
         $query = "select * from #__odudedir_category where subcat='0' order by ordering";
			$db->setQuery($query);
			$rows = $db -> loadObjectList();
			echo '';
			for( $i=0; $i<count($rows); $i++ )
		  {
		  $child = $rows[$i];
		    if ($row->subcat==$child->id)
		  $sel="selected";
		  else
		  $sel="";
		  
		   echo "<option   value=".$child->id." $sel> ".$child->title.'</options>';
		 get_children($child->id,1,$row->subcat);
		  }
		  echo '';

?>
      </select> 
	
</td>
                </tr>

                <td width="100px" >
                <span class="hasTip" title="Category::Name of the category to dispaly."> <?php echo JText::_( 'Category' ); ?></span>*:
                </td>
                <td>
                 <input size="40"  type="text" name="title" value="<?php echo htmlspecialchars($row->title); ?>" class="required" />
                </td>
                </tr>
				  <tr>
                <td width="100px" >
               <span class="hasTip" title="Alias::This is for URL. It is not visible to user. Use a-z and 0-9 only. Don't use spaces or any special character. Eg. abc_ABC is allowed.">  <?php echo JText::_( 'Alias' ); ?></span>*:
                </td>
                <td>
                 <input size="40"  type="text" name="alias" value="<?php echo htmlspecialchars($row->alias); ?>" class="required validate-special" />
                </td>
                </tr>
				
				 <tr>
                <td width="100px" >
                 <span class="hasTip" title="Description::Text to be displayed when category is opened."><?php echo JText::_( 'Description' ); ?></span>:
                </td>
                <td>
			
                <?php
                        echo $editor->display( 'description',$row->description, '800', '150', '75', '20' ) ;
						?>
                </td>
                </tr>
				 <tr>
                <td width="100px" >
                <span class="hasTip" title="HTML Code::You can copy paste adsenes google code or write any text to display at particual place."> <?php echo JText::_( 'Html/Adsense code' ); ?></span>:
                </td>
                <td>
				<textarea name="html" rows="10" cols="20"><?php echo $row->html; ?></textarea>
                <br>
                Adsense or any other html code
				<br>
				</td>
                </tr>
				
				<tr>
                <td>
                  <span class="hasTip" title="Enable Ad Button::Guest user will not see ADD button. But username ADMIN can see. It is recomended to use this button by admin if it is disabled."><?php echo JText::_( 'Enable Add Button' ); ?></span>*:
                </td>
                <td>
                 <?php
                        echo $lists['show_add'];
				 ?>
                  
                </td>
                </tr>
				
				 <tr>
                <td>
                  <span class="hasTip" title="Auto Publish::As soon as guest or admin post title it should be displayed to the user or not."><?php echo JText::_( 'Auto Publish' ); ?></span>*:
                </td>
                <td>
                 <?php
                        echo $lists['auto_publish'];
				 ?>
                  
                </td>
                </tr>
				
                <tr>
                <td >
			     <span class="hasTip" title="Published::The current category to hide or show."> <?php echo JText::_( 'Published' ); ?></span>*:
					</td>
                    <td>	
					
						<?php
                        echo $lists['published'];
						?>
					</td>
                </tr>
                       <tr>
                <td >
			      <span class="hasTip" title="Featured::This will be used by other module and selected category will have extra css element."><?php echo JText::_( 'Featured' ); ?>*</span>:
					</td>
                    <td>	
					
						<?php
                        echo $lists['front'];
						?>
					</td>
                </tr>
				<tr>
<td width="100"  class="key">
 <span class="hasTip" title="Order::Set ZERO to make it first. If many category have ZERO you need to make that to ONE for apear in next."> <?php echo JText::_( 'Order' ); ?></span>:
</td>
<td>
<?php
echo $lists['ordering'];
?>
</td>
</tr>  
                  <tr>
                <td width="100px" >
                 <span class="hasTip" title="Result Per Row::It handles how many titles to be shown per line."><?php echo JText::_( 'Browse Per Row' ); ?></span>*:
                </td>
                <td>
                 <input size="5" maxlength="2" type="text" name="perrow" value="<?php echo htmlspecialchars($row->perrow); ?>" class="required"/>
                </td>
                </tr>
				
				  <tr>
                <td width="100px" >
                 <span class="hasTip" title="Search Per Row::It handles how many titles to be shown per line at search page"><?php echo JText::_( 'Search Per Row' ); ?></span>*:
                </td>
                <td>
                 <input size="5" maxlength="2" type="text" name="search_perrow" value="<?php echo htmlspecialchars($row->search_perrow); ?>" class="required"/> 
                </td>
                </tr>
				
				 <tr>
                <td width="100px" >
                 <span class="hasTip" title="Category Per Row::No. of category to display per line"><?php echo JText::_( 'Category Per Row' ); ?></span>*:
                </td>
                <td>
                 <input size="5" maxlength="2" type="text" name="cate_perrow" value="<?php echo htmlspecialchars($row->cate_perrow); ?>" class="required"/>
                </td>
                </tr>
				
				  <tr>
                <td width="100px" >
                 <span class="hasTip" title="Per Page::It handles how many titles to be shown per page. Navigation is generated if it has many record."><?php echo JText::_( 'Browse Per Page' ); ?></span>*:
                </td>
                <td>
                 <input size="5" maxlength="3" type="text" name="perpage" value="<?php echo htmlspecialchars($row->perpage); ?>" class="required" /> 
                </td>
                </tr>
				
					  <tr>
                <td width="100px" >
                 <span class="hasTip" title="Search Per Page::No. of results to be shown per page."><?php echo JText::_( 'Search Per Page' ); ?></span>*:
                </td>
                <td>
                 <input size="5" maxlength="3" type="text" name="search_perpage" value="<?php echo htmlspecialchars($row->search_perpage); ?>" class="required"/>
                </td>
                </tr>
				
				 <tr>
                <td width="100px" >
                 <span class="hasTip" title="Admin Email::All mails will be sent for this category only."><?php echo JText::_( 'Admin Email' ); ?></span>*:
                </td>
                <td>
                 <input type="text" name="admin_mail" value="<?php echo htmlspecialchars($row->admin_mail); ?>" class="required"/>
                </td>
                </tr>
				
				
				 <tr>
                <td width="100px" >
                 <span class="hasTip" title="Admin Username::Administrator of this Category."><?php echo JText::_( 'Admin Username' ); ?></span>*:
                </td>
                <td>
                 <input  type="text" name="admin_username" value="<?php echo htmlspecialchars($row->admin_username); ?>" class="required"/>
                </td>
                </tr>
				
				
				  <tr>
                <td width="100px" >
                 <span class="hasTip" title="Icon Filename::It is to represent category list."><?php echo JText::_( 'Icon Filename' ); ?></span>*:
                </td>
                <td>
				
					<select name="bg" class="required">	  
				  <?php
				  
				  $currency=$row->bg; 
if ($handle = opendir(JPATH_ROOT."/images/odudedir/"))
 {
    $blacklist = array('.', '..', 'somedir', 'index.html');
    while (false !== ($file = readdir($handle))) 
	{
        if (!in_array($file, $blacklist)) 
		{
		?>
		<option value="<?php echo $file; ?>" <?php if ($currency==$file) echo 'selected="selected"';?>><?php echo $file; ?></options>
		<?php
           // echo "$file\n";
        }
    }
    closedir($handle);
}
?>
</select>
				
				 File should be under <?php echo JURI::root()."images/odudedir/"; ?>
                </td>
                </tr>
				  <tr>
                <td width="100px" >
                <span class="hasTip" title="Banner::This image is displayed when category is opened."> <?php echo JText::_( 'Banner Filename' ); ?></span>*:
                </td>
                <td>
				
							<select name="banner" class="required">	  
				  <?php
				  
				  $currency=$row->banner; 
if ($handle = opendir(JPATH_ROOT."/images/odudedir/"))
 {
    $blacklist = array('.', '..', 'somedir', 'index.html');
    while (false !== ($file = readdir($handle))) 
	{
        if (!in_array($file, $blacklist)) 
		{
		?>
		<option value="<?php echo $file; ?>" <?php if ($currency==$file) echo 'selected="selected"';?>><?php echo $file; ?></options>
		<?php
           // echo "$file\n";
        }
    }
    closedir($handle);
}
?>
</select>
				
			
				 File should be under <?php echo JURI::root()."images/odudedir/"; ?>
                </td>
                </tr>
                  <tr>
                <td width="100px" >
                <span class="hasTip" title="Layout/Tempalte::Choose it according to the category function."> <?php echo JText::_( 'Layout Name' ); ?></span>*:
                </td>
                <td>
            
				 
				  
			<select name="template" class="required">	  
				  <?php
				  
				  $currency=$row->template; 
if ($handle = opendir(JPATH_ROOT."/components/com_odudedir/template/"))
 {
    $blacklist = array('.', '..', 'somedir', 'index.html','pure-min.css');
    while (false !== ($file = readdir($handle))) 
	{
        if (!in_array($file, $blacklist)) 
		{
		?>
		<option value="<?php echo $file; ?>" <?php if ($currency==$file) echo 'selected="selected"';?>><?php echo $file; ?></options>
		<?php
           // echo "$file\n";
        }
    }
    closedir($handle);
}
?>
</select>
 Templates (Layout) are list under <?php echo JURI::root()."components/com_odudedir/template/"; ?>. (Folder name)


				  
				  
                </td>
                </tr>
               
                </table>
                
       
                <input type="hidden" name="c" value="categories" />       
<input type="hidden" name="option" value="com_odudedir" />
<input type="hidden" name="id" value="<?php echo $row->id?>" />        
<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />        
<input type="hidden" name="task" value="" />        
</form>
        <?php		
	}
	
	
	

}
